%define	major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	A library for reading and writing YAML
Name:		syck
Version:	0.55
Release:	%mkrel 11
License:	BSD (and D&R) 
Group:		System/Libraries
URL:		http://www.whytheluckystiff.net/syck/
Source0:	http://rubyforge.org/frs/download.php/4492/%{name}-%{version}.tar.gz
Patch0:		syck-shared.diff
Patch1:		syck-0.55-automake-1.13.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	re2c

%description
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

%package -n	%{libname}
Summary:	A library for reading and writing YAML
Group:          System/Libraries

%description -n	%{libname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

%package -n	%{develname}
Summary:	Static library and header files for the syck library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname syck -d 0}

%description -n	%{develname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

This package contains the static syck library and its header files.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1 -b .automake-1_13

%build
export CFLAGS="%{optflags} -fPIC"
touch INSTALL NEWS AUTHORS ChangeLog
autoreconf -fi
%configure2_5x \
    --enable-shared --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc CHANGELOG COPYING README README.BYTECODE README.EXT RELEASE TODO
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.55-11.mga3
+ Revision: 383868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 0.55-10.mga3
+ Revision: 338366
- patch1: fix build with automake 1.13

* Sun Oct 14 2012 fwang <fwang> 0.55-9.mga3
+ Revision: 305295
- drop .la file

* Mon Feb 07 2011 spuhler <spuhler> 0.55-9.mga1
+ Revision: 48278
- increase rel to 9 to be rebuilt
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package syck

